Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.pipe
Class DistributedPipe

    java.lang.Object
      org.jboss.messaging.core.distributed.pipe.DistributedPipe

All Implemented Interfaces:
  Receiver

public class DistributedPipe
extends java.lang.Object
implements Receiver

The input end of a distributed pipe that synchronously forwards messages to a receiver in a different address space. A distributed pipe is not a channel. The output end of the pipe its identified by a JGroups address and the pipe ID. Multiple distributed pipes can share the same DistributedPipeOutput instance (and implicitly the pipeID), as long the input instances are different.

Version:
  `$Revision: 1.12 $` $Id: DistributedPipe.java,v 1.12 2005/12/28 07:03:45 ovidiu Exp $
Author:
  Ovidiu Feodorov

Field Summary
`protected RpcDispatcher` | `dispatcher`
`protected java.io.Serializable` | `id`
`protected Address` | `outputAddress`

Constructor Summary
`DistributedPipe(java.io.Serializable id, RpcDispatcher dispatcher, Address outputAddress)`

Method Summary
`java.io.Serializable` | `getID()`
`Address` | `getOutputAddress()`
`Delivery` | `handle(DeliveryObserver observer, Routable r, Transaction tx)` A receiver can return an active, "done" or null delivery.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.io.Serializable id

### dispatcher

    protected RpcDispatcher dispatcher

### outputAddress

    protected Address outputAddress

Constructor Detail

### DistributedPipe

    public DistributedPipe(java.io.Serializable id,
                           RpcDispatcher dispatcher,
                           Address outputAddress)

Method Detail

### handle

    public Delivery handle(DeliveryObserver observer,
                           Routable r,
                           Transaction tx)

  Description copied from interface: `Receiver`
  A receiver can return an active, "done" or null delivery. The method returns null in case the receiver doesn't accept the message. The return value is unspecified when the message is submitted in the context of a transaction (tx not null).

  Specified by:
    `handle` in interface `Receiver`
  Parameters:
    `observer` - - the component the delivery should be acknowledged to.
  See Also:
    `Delivery`, `DeliveryObserver`

### getOutputAddress

    public Address getOutputAddress()

### getID

    public java.io.Serializable getID()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.